[ARM Testing Update] 2020-09-20 - More Lomiri apps, Mesa and kernels

Hello ARM community.

A small update for you.


Some highlights:

  • Most of our kernels got updated
  • Lomiri got some more apps added to the repo
  • New point release gets mesa to version 20.1.8
  • Some python packages got updated

Upstream Notifications:

Older notifications

The nss package requires manual intervention:
Arch Linux - News: nss>=3.51.1-1 and lib32-nss>=3.51.1-1 updates require manual intervention
The packages hplip and firewalld requires manual intervention:
Arch Linux - News: hplip 3.20.3-2 update requires manual intervention
Arch Linux - News: firewalld>=0.8.1-2 update requires manual intervention


Package Changes

(Sun Sep 20 20:37:35 CEST 2020)

  • arm-testing community aarch64: 275 new and 254 removed package(s)
  • arm-testing core aarch64: 15 new and 15 removed package(s)
  • arm-testing extra aarch64: 61 new and 61 removed package(s)
:: Different overlay package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-09-15         2020-09-20
-------------------------------------------------------------------------------
      ayatana-indicator-messages-git             git_r7-1             git_r8-1
         ayatana-indicator-power-git          git_r1057-1          git_r1074-1
       ayatana-indicator-session-git          git_r2468-1          git_r2468-2
                           baloo-git5.75.0.r2842.g671b57ce-15.75.0.r2843.g524066e2-1
                           bitwarden             1.20.1-2             1.22.1-1
                       bluedevil-git5.19.80.r2147.gaa755b32-15.19.90.r2152.g08c80929-1
                          breeze-git5.19.80.r2033.g2b1a8bb2-15.19.90.r2043.g9e72d2e0-1
                      breeze-gtk-git5.19.80.r391.g179f2d7-15.19.90.r393.g65ef4d4-1
                       calindori-git       r406.9fa1009-1       r413.cd33d1e-1
                               calls  0.1.7+26+g4227e29-1              0.1.8-1
                     content-hub-git      r1509.3f04620-2      r1183.b8f8bb4-1
                        discover-git5.19.80.r7825.g95b7660f-15.19.90.r7836.ga33a2e09-1
                         drkonqi-git5.19.80.r536.g69330b0b-15.19.90.r540.g7d399858-1
                            electron             10.1.1-1             10.1.2-1
             extra-cmake-modules-git5.75.0.r3182.g4a3659f-15.75.0.r3186.gb2e4ee8-1
                             ion-git         30.9b3ba42-1         52.bc26f29-1
               kactivitymanagerd-git5.15.80.r1298.g624bb54-15.15.80.r1300.gff7d32b-1
                           kauth-git5.75.0.r377.gfc2db4e-15.75.0.r378.g0068b21-1
                   kcalendarcore-git5.75.0.r1144.g3a6b75291-15.75.0.r1146.g9a66ae48b-1
                        kcmutils-git5.75.0.r431.g8743f7e-15.75.0.r432.g8ac50dd-1
                         kconfig-git5.75.0.r731.gc7708ff-15.75.0.r733.gf9079c8-1
                     kcoreaddons-git5.75.0.r1031.g073be96-15.75.0.r1032.ge2f8d2e-1
                   kde-cli-tools-git5.19.80.r1802.g6e0fcf4-15.19.90.r1805.g202c905-1
                  kde-gtk-config-git5.19.80.r853.g709beae-15.19.90.r855.g314b97e-1
                    kdeclarative-git5.75.0.r805.g4e7e453-15.75.0.r807.g93d82d5-1
                     kdecoration-git5.19.80.r233.g8f64f17-15.19.90.r237.g074f517-1
                            kded-git5.75.0.r341.g2504af0-15.75.0.r342.g1a448a1-1
                kdeplasma-addons-git5.19.80.r8382.g873444e68-15.19.90.r8386.ga38b48681-1
                         kgamma5-git5.19.80.r424.g47eb5b4-15.19.90.r428.g9fb9f1a-1
                        khotkeys-git5.19.80.r2015.g052f6f9-15.19.90.r2019.g1a53b72-1
                     kinfocenter-git5.19.80.r1724.g90dc7dc-15.19.90.r1730.gd8cb2e4-1
                      kio-extras-git    r6850.gd5f2beb2-1    r6855.gf6578019-1
                             kio-git5.75.0.r4200.gd5dc1605-15.75.0.r4203.g7d91cd24-1
                       kirigami2-git5.75.0.r2406.geabd5fa0-15.75.0.r2410.gabf1a7c4-1
                      kitemviews-git5.75.0.r281.g6be7fd1-15.75.0.r282.gdd32050-1
                       kmenuedit-git5.19.80.r929.g4289215-25.19.90.r933.g2b40024-1
                      knetattach-git5.19.80.r7861.g81da82a68-15.19.90.r7872.g55dfd7d85-1
                       knewstuff-git5.75.0.r932.g1517d9d5-15.75.0.r936.gfa05a109-1
                  knotifications-git5.75.0.r562.gc9e29d0-15.75.0.r564.g636d6c5-1
                        kongress-git        r94.9ed0f8b-1        r95.68df765-1
                         krunner-git5.75.0.r500.ga6a3892-15.75.0.r502.gc9fdf93-1
                         kscreen-git5.19.80.r1268.ge01faa1-15.19.90.r1271.g59d0877-1
                   kscreenlocker-git5.19.80.r797.ge9049c6-15.19.90.r801.gbc2fe72-1
                     ksshaskpass-git5.19.80.r172.g01b5517-25.19.90.r175.gab2e434-1
                       ksysguard-git5.19.80.r3351.gc47eb9ba-15.19.90.r3357.gf462646c-1
                     ktexteditor-git5.75.0.r2501.gd2c35a1e-15.75.0.r2505.g75642bf2-1
                   kuserfeedback-git       r700.8ddc29a-1       r701.bf1bfa6-1
                         kwallet-git5.75.0.r1004.g5f1159a-15.75.0.r1005.g148a4f3-1
                     kwallet-pam-git5.19.80.r225.g79817e0-15.19.90.r227.gaecc17c-1
            kwayland-integration-git5.19.80.r148.gfddcf40-15.19.90.r152.gb856124-1
                 kwayland-server-git5.19.80.r1123.ge5c1cdd-15.19.90.r1126.g0a07cb2-1
                            kwin-git5.19.80.r18371.g474060a45-15.19.90.r18386.g71dfd6028-1
                         kwrited-git5.19.80.r443.gdb23f04-15.19.90.r447.ga3f5cad-1
                         kxmlgui-git5.75.0.r655.gd4727c8-15.75.0.r658.gbd4782f-1
                      libkscreen-git5.19.80.r1526.gca55797-15.19.90.r1529.gc0dddfa-1
                    libksysguard-git5.19.80.r1959.gf0512a6-15.19.90.r1964.g5af911e-1
                       libqofono-qt5              0.100-1              0.100-2
           lomiri-calculator-app-git      r1138.061a992-1      r1139.bcf9c40-1
            lomiri-docviewer-app-git      r1490.7512c61-1      r1492.e59d979-1
                maliit-framework-git     r1884.70bef706-1     r1884.70bef706-2
                 maliit-keyboard-git    r2048.g36db49b4-2    r2048.g36db49b4-3
                           milou-git5.19.80.r703.g2043f45-15.19.90.r707.gfef79aa-1
                                 mir              1.8.0-4              1.8.0-5
                          oxygen-git5.19.80.r4385.gefe64aca-15.19.90.r4389.g4e332a59-1
                               phosh              0.4.3-5  0.4.3+63+g9c07dc6-1
            pinephone-manjaro-tweaks           20200911-1           20200920-1
                plasma-bigscreen-git       r321.4fa2954-1       r322.b926ddd-1
      plasma-browser-integration-git5.19.80.r1131.gcbdbbcd3-15.19.90.r1135.gd8f9fd83-1
                   plasma-camera-git       r171.0ad71df-1       r172.ca65074-1
                  plasma-desktop-git5.19.80.r7861.g81da82a68-15.19.90.r7872.g55dfd7d85-1
                plasma-framework-git5.75.0.r15564.g1be54dfc6-15.75.0.r15566.ga7aeba21c-1
              plasma-integration-git5.19.80.r474.gba201a7-25.19.90.r481.gb09cc0f-1
                     plasma-nano-git       r121.489e46e-1       r123.83d3059-1
                       plasma-nm-git5.19.80.r2933.gc0eb86d0-15.19.90.r2940.g93ec12dd-1
                       plasma-pa-git5.19.80.r844.g70f8e86-15.19.90.r847.g682473a-1
         plasma-phone-components-git      r1211.d797e88-1      r1217.ccdfd34-1
                      plasma-sdk-git5.19.80.r2195.g969444dc-15.19.90.r2204.gae371d94-1
                    plasma-vault-git5.19.80.r296.g2d5565d-15.19.90.r298.gc5185e8-1
          plasma-wayland-session-git5.19.80.r9310.gb4970ab71-15.19.90.r9413.g6cc5d4cf8-1
                plasma-workspace-git5.19.80.r9310.gb4970ab71-15.19.90.r9413.g6cc5d4cf8-1
     plasma-workspace-wallpapers-git5.19.80.r219.g3f8a7c7-15.19.90.r225.gdb707a8-1
                polkit-kde-agent-git5.19.80.r456.gf50a01f-15.19.90.r459.g1d67724-1
                      powerdevil-git5.19.80.r2344.g0f38a292-15.19.90.r2351.g72c741d3-1
                      qmlkonsole-git        r50.819fd8c-1        r51.300ebfe-1
              qqc2-desktop-style-git5.75.0.r393.g2a26029-15.75.0.r396.g6e0ead0-1
                           qtmir-git     r2407.be21a0e2-2     r2407.be21a0e2-3
                        sddm-kcm-git5.19.80.r538.g88d330a-15.19.90.r542.g315d351-1
             syntax-highlighting-git5.75.0.r1295.g871990f7-15.75.0.r1301.g7edab0b0-1
                 system-settings-git     r7753.54ac6bfc-2     r7759.c3573622-3
                  systemsettings-git5.19.80.r2257.g091e1bc8-15.19.90.r2268.ge540cdde-1
  telepathy-kde-common-internals-git      r1985.da9c24a-1      r1986.2ff9192-1
                         u1db-qt-git       r414.8dd87b9-1       r414.8dd87b9-3
               ubuntu-app-launch-git      r3028.456c701-2      r3028.456c701-3
               ubuntu-ui-toolkit-git   r18092.fc45e79fd-1   r18093.4143c6e17-1
                          unity8-git   r18255.2c3979c77-1   r18257.9beb6b675-3
                  url-dispatcher-git       r735.b9a83f5-2       r735.b9a83f5-3
                    user-manager-git5.19.80.r496.gbe07a3a-15.19.90.r499.g36dfbff-1
                           vvave-git       r733.21f43c5-1       r735.8c385ed-1
          xdg-desktop-portal-kde-git5.19.80.r301.g0b0655b-15.19.90.r310.g31abb93-1
               indicators-client-git                    -   r18257.9beb6b675-3
      lomiri-indicator-bluetooth-git                    -             git_r1-1
       lomiri-indicator-location-git                    -           git_r437-1
       lomiri-indicator-transfer-git                    -           git_r219-1
                 lomiri-keyboard-git                    -    r2086.geaa3d713-3
                       lomiri-sounds                    -         r4.d8c10bd-1
                   lomiri-themes-git                    -              19.04-1
                          megapixels                    -              0.7.0-0
                           mir-demos                    -              1.8.0-5
                   morph-browser-git                    -     r7593.0998fa2a-1
                     qtmir-tests-git                    -     r2407.be21a0e2-3
                  rtl8723bt-firmware   20200705.8840b10-1   20200705.8840b10-1
                   u1db-qt-demos-git                    -       r414.8dd87b9-3
                 ubuntu-app-test-git                    -      r3028.456c701-3
              url-dispatcher-gui-git                    -       r735.b9a83f5-3


:: Different sync package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-09-15         2020-09-20
-------------------------------------------------------------------------------
                                acme         2019.08.19-2         2020.08.26-1
                        ansible-lint              4.3.4-1              4.3.5-1
                              ardour                6.3-1                6.3-2
                         arduino-cli             0.12.1-1             0.13.0-1
                       aws-checksums              0.1.7-1              0.1.9-1
                           benchmark              1.5.1-2              1.5.2-1
                            binaryen               1:96-2               1:97-1
                         bitcoin-cli             0.19.1-1             0.20.1-2
                      bitcoin-daemon             0.19.1-1             0.20.1-2
                          bitcoin-qt             0.19.1-1             0.20.1-2
                          bitcoin-tx             0.19.1-1             0.20.1-2
                              brotli              1.0.7-3              1.0.9-1
                     brotli-testdata              1.0.7-3              1.0.9-1
                browserpass-chromium              3.6.0-1              3.7.1-1
                 browserpass-firefox              3.6.0-1              3.7.1-1
                          bsequencer              1.6.0-1              1.8.4-1
                             cantata              2.4.1-1              2.4.2-1
                              cddlib            1:0.94j-2            1:0.94l-1
                             cockpit                227-1                228-2
                   cockpit-dashboard                227-1                228-2
                      cockpit-docker                227-1                    -
                    cockpit-machines                227-1                228-2
                         cockpit-pcp                227-1                228-2
                          containerd              1.4.0-3              1.4.1-1
                                croc              8.3.1-2              8.3.2-1
                                deno              1.4.0-1              1.4.1-1
                      docker-compose             1.27.2-1             1.27.3-1
                              dqlite              1.5.0-1              1.6.0-2
                            dscanner             0.10.0-1             0.11.0-1
                          emscripten              2.0.1-1              2.0.4-2
                              erlang             23.0.3-1             23.0.4-1
                          erlang-nox             23.0.3-1             23.0.4-1
                     erlang-unixodbc             23.0.3-1             23.0.4-1
                              fcitx5   0.0.0.20200913.1-1     0.0.0.20200915-1
                        fcitx5-anthy     0.0.0.20200728-3     0.0.0.20200915-1
               fcitx5-chinese-addons     0.0.0.20200913-1     0.0.0.20200915-1
                   fcitx5-configtool     0.0.0.20200914-1     0.0.0.20200915-1
                           fcitx5-qt     0.0.0.20200913-1     0.0.0.20200915-1
                           g15daemon            1.9.5.3-9           1.9.5.3-10
                                 gap             4.11.0-4             4.11.0-5
                             gap-doc             4.11.0-4             4.11.0-5
                        gap-packages             4.11.0-4             4.11.0-5
                          github-cli             0.12.0-1              1.0.0-1
                             glances            3.1.4.1-1              3.1.5-1
                            gnuradio            3.8.1.0-1            3.8.1.0-2
                  gnuradio-companion            3.8.1.0-1            3.8.1.0-2
                               gnurl             7.69.1-2             7.72.0-1
                            go-tools2:1.15+4895+c1934b75d-12:1.15+4895+c1934b75d-2
                          grub-btrfs                4.5-1                4.6-1
                           gscan2pdf              2.8.2-1              2.9.0-1
                                haxe              4.1.3-1              4.1.4-1
                              hcloud             1.19.0-1             1.19.1-1
                                helm              3.3.1-1              3.3.3-1
                      home-assistant            0.114.4-1            0.115.2-1
                                hugo             0.74.3-1             0.75.0-1
                               jedit              5.5.0-3              5.6.0-1
                                jmol            14.31.4-1            14.31.6-1
                               jsmol            14.31.4-1            14.31.6-1
                    jupyter-notebook              6.1.1-1              6.1.4-1
                                 k9s             0.21.9-1             0.22.1-1
                              kotlin              1.4.0-1             1.4.10-1
                             kubectx              0.9.1-1              0.9.1-2
                           kustomize              3.8.1-1              3.8.3-1
                             labplot              2.7.0-6              2.8.0-2
                             libgiac           1.6.0.17-1           1.6.0.23-1
                         libopenshot              0.2.5-3              0.2.5-4
                 libretro-beetle-pce               1021-1               1031-1
            libretro-beetle-pce-fast                985-1               1008-1
                 libretro-beetle-psx               2383-1               2421-1
              libretro-beetle-psx-hw               2383-1               2421-1
          libretro-beetle-supergrafx                813-1                817-1
                       libretro-mgba               6819-1               6821-1
                   libretro-overlays                172-1                174-1
                       libretro-play               5815-1               5816-1
                     libretro-snes9x               1778-1               1780-1
                             libvirt              6.5.0-1              6.5.0-2
             libvirt-storage-gluster              6.5.0-1              6.5.0-2
        libvirt-storage-iscsi-direct              6.5.0-1              6.5.0-2
                         lsp-plugins             1.1.24-1             1.1.26-1
                                 lxd                4.5-2                4.6-1
                            minikube             1.12.2-1             1.13.0-1
                           moreutils               0.63-2               0.64-1
                             netdata             1.24.0-2             1.25.0-1
                nextcloud-app-spreed            1:9.0.3-1            1:9.0.4-1
                              nodejs            14.10.1-1            14.11.0-1
                                 nsd              4.3.0-2              4.3.2-1
                   otf-cascadia-code            2008.25-1            2009.14-1
                             pam-u2f              1.0.8-3              1.1.0-1
                                 pax           20190825-2           20200904-1
                perl-test-mockmodule            0.173.0-3            0.175.0-1
                    perl-test-simple           1.302180-1           1.302181-1
                               picom                  8-5                8.1-1
                            polymake                4.1-3                4.2-1
                      python-breathe             4.20.0-1             4.22.0-1
                       python-brotli              1.0.7-3              1.0.9-1
                     python-cfn-lint             0.35.1-1             0.36.0-1
                 python-cinderclient              7.1.0-1              7.2.0-1
                         python-cmd2              1.3.9-1             1.3.10-1
            python-django-extensions              3.0.8-1              3.0.9-1
              python-django-haystack2.8.1.r109.g7773b7f9-1                3.0-1
                    python-dnspython             1.16.0-3              2.0.0-1
                  python-google-auth             1.21.1-1             1.21.2-1
                   python-hypothesis             5.35.2-1             5.35.3-1
                     python-identify              1.5.2-1              1.5.3-1
                      python-iso8601             0.1.12-5             0.1.13-1
               python-jsonrpc-server              0.3.4-1              0.4.0-1
                     python-jupymake                0.9-6                0.9-7
                  python-marshmallow              3.7.1-1              3.8.0-1
                   python-matplotlib              3.3.1-1              3.3.2-1
                       python-mocket              3.8.9-1              3.9.0-1
                     python-pygments              2.7.0-1              2.7.1-1
                       python-pynvim              0.4.1-1              0.4.2-1
                   python-pyrsistent             0.17.2-1             0.17.3-1
                python-pytest-django              3.9.0-1             3.10.0-1
                        python-pyzmq             19.0.1-1             19.0.1-2
                    python-reportlab             3.5.49-1             3.5.50-1
                         python-rich              6.1.2-1              7.0.0-1
             python-ruamel.yaml.clib              0.2.1-1              0.2.2-1
                    python-schemdraw              0.7.1-1                0.8-1
                       python-scrypt             0.8.15-1             0.8.17-1
                    python-softlayer              5.9.0-1              5.9.1-1
                      python-trimesh              3.8.1-1              3.8.8-1
                         python-trio             0.16.0-1             0.17.0-1
                        python-ujson              3.2.0-1              3.2.0-2
                   python-zope-event                4.4-3              4.5.0-1
                      python2-brotli              1.0.7-3                    -
                   python2-dnspython             1.16.0-3                    -
                       python2-pyzmq             19.0.1-1             19.0.1-2
                  python2-zope-event                4.4-3              4.5.0-1
                                qcad           3.25.1.0-2           3.25.2.0-1
                                qgis             3.14.1-1            3.14.16-1
                                qmmp              1.4.1-2              1.4.2-1
                            qtractor             0.9.16-1             0.9.17-1
                            radicale              3.0.5-1              3.0.6-1
                           rankwidth                0.8-2                0.9-1
                              restic              0.9.6-3             0.10.0-1
                         ruby-reline              0.1.4-1              0.1.5-1
                       scummvm-tools              2.1.0-2              2.2.0-1
                   shadowsocks-libev              3.3.4-1              3.3.5-1
                             shotcut           20.07.11-1           20.09.13-1
                            singular           4.1.3.p2-3           4.1.3.p2-4
                           terraform             0.13.2-1             0.13.3-1
                            tigervnc             1.11.0-4             1.11.0-5
                   ttf-cascadia-code            2008.25-1            2009.14-1
                   ttf-sarasa-gothic            0.12.13-1             0.13.0-1
                          typescript              4.0.2-1              4.0.3-1
                               v2ray             4.28.1-1             4.28.2-1
         v2ray-domain-list-community     20200913105239-1     20200918144814-1
                         v2ray-geoip       202009020005-2       202009160005-1
                 woff2-cascadia-code            2008.25-1            2009.14-1
                                xcas           1.6.0.17-1           1.6.0.23-1
                               xonsh             0.9.21-1             0.9.22-1
                                yaws              2.0.7-2              2.0.8-1
                          youtube-dl         2020.09.14-1         2020.09.20-1
                              zeromq              4.3.2-3              4.3.3-2
                           aws-vault                    -              6.1.0-1
                               cgasm                    -              0.0.0-1
                            copr-cli                    -               1.89-1
                    gnupg-pkcs11-scd                    -              0.9.2-2
                               gopls                    -              0.5.0-1
                            openrct2                    -              0.3.0-2
                         python-copr                    -              1.105-1
                        python-hjson                    -              3.0.2-1
                     python-pystache                    -              0.5.4-8
                          terragrunt                    -             0.25.0-1


:: Different overlay package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-09-15         2020-09-20
-------------------------------------------------------------------------------
                               linux              5.8.9-1             5.8.10-2
                       linux-headers              5.8.9-1             5.8.10-2
                     linux-pinephone             5.7.19-2           5.7.19-3.0
             linux-pinephone-headers             5.7.19-2           5.7.19-3.0
                            linux-rc            5.9.rc5-1            5.9.rc5-3
                    linux-rc-headers            5.9.rc5-1            5.9.rc5-3
                          linux-rpi4             5.4.64-1             5.4.65-1
                  linux-rpi4-headers             5.4.64-1             5.4.65-1
                 linux-rpi4-mainline              5.8.8-1              5.8.9-1
         linux-rpi4-mainline-headers              5.8.8-1              5.8.9-1
              raspberrypi-bootloader           20200911-1           20200917-1
            raspberrypi-bootloader-x           20200911-1           20200917-1


:: Different sync package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-09-15         2020-09-20
-------------------------------------------------------------------------------
                                 gpm1.20.7.r27.g1fd1941-21.20.7.r38.ge82d1a6-2
                             libldap             2.4.50-2             2.4.52-1
                            openldap             2.4.50-2             2.4.52-1


:: Different sync package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-09-15         2020-09-20
-------------------------------------------------------------------------------
                            cbindgen             0.14.4-1             0.14.5-1
                          cifs-utils               6.10-1               6.11-1
                               dconf             0.36.0-1             0.38.0-1
               gobject-introspection             1.64.1-2             1.66.0-1
       gobject-introspection-runtime             1.64.1-2             1.66.0-1
           gsettings-desktop-schemas             3.36.1-1             3.38.0-1
                             gtk-doc   1.32+37+gefc3644-1   1.32+52+gb209222-1
                            gupnp-av 0.12.11+2+gb5ca07c-2 0.12.11+3+g2123c81-1
                           gupnp-igd   0.2.5+3+gedd78a6-3              1.2.0-1
                                gvim           8.2.1684-1           8.2.1704-1
                                htop              3.0.1-1              3.0.2-1
                               icewm              1.8.2-1              1.8.3-1
                         imagemagick          7.0.10.29-1          7.0.10.30-1
                     imagemagick-doc          7.0.10.29-1          7.0.10.30-1
                             ipp-usb             0.9.13-1             0.9.13-2
                           json-glib              1.4.4-2              1.6.0-1
                        jsonrpc-glib             3.34.0-1             3.38.0-1
                               kiten            20.08.1-1            20.08.1-2
                           libdazzle             3.36.0-1             3.38.0-1
                            libgudev                233-2                234-1
                   libva-mesa-driver             20.1.7-1             20.1.8-1
                              libwpe              1.6.0-1              1.8.0-1
                                mesa             20.1.7-1             20.1.8-1
                          mesa-vdpau             20.1.7-1             20.1.8-1
                               metis           5.1.0.p9-1          5.1.0.p10-1
                    noto-fonts-emoji           20200720-1           20200916-1
                             numactl             2.0.13-3             2.0.14-1
                         opencl-mesa             20.1.7-1             20.1.8-1
                               pango           1:1.46.1-1           1:1.46.2-1
                    perl-html-parser               3.73-1               3.74-1
                   perl-log-log4perl               1.52-1               1.53-1
                     perl-xml-libxml             2.0205-2             2.0206-1
                            pipewire             0.3.11-1             0.3.12-1
                       pipewire-alsa             0.3.11-1             0.3.12-1
                       pipewire-docs             0.3.11-1             0.3.12-1
                       pipewire-jack             0.3.11-1             0.3.12-1
                      pipewire-pulse             0.3.11-1             0.3.12-1
                       python-pylint              2.5.3-2              2.6.0-1
                           qtcreator             4.13.0-1             4.13.1-1
                        sane-airscan            0.99.16-1            0.99.16-2
                       template-glib             3.34.0-2  3.34.0+4+g5196521-1
                       tomcat-native             1.2.24-1             1.2.25-1
                             tracker              2.3.5-1              2.3.6-1
                      tracker-miners              2.3.4-1              2.3.5-1
                             varnish              6.4.0-1              6.5.0-1
                                 vim           8.2.1684-1           8.2.1704-1
                         vim-runtime           8.2.1684-1           8.2.1704-1
                 vulkan-extra-layers1.2.148.1+10736+3ce31c1c2-11.2.153+10858+bde9980a3-1
                  vulkan-extra-tools1.2.148.1+10736+3ce31c1c2-11.2.153+10858+bde9980a3-1
                      vulkan-headers          1:1.2.152-1          1:1.2.153-1
                    vulkan-html-docs          1:1.2.152-1          1:1.2.153-1
                   vulkan-icd-loader            1.2.151-1            1.2.153-2
                  vulkan-mesa-layers             20.1.7-1             20.1.8-1
                       vulkan-radeon             20.1.7-1             20.1.8-1
                        vulkan-tools          1.2.151-1.1            1.2.153-1
            vulkan-validation-layers            1.2.146-2            1.2.153-1
                      wpebackend-fdo              1.6.1-1              1.8.0-1
                  xdg-desktop-portal              1.7.2-1              1.8.0-1
              xdg-desktop-portal-gtk              1.7.1-1              1.8.0-1
                          yelp-tools             3.32.2-2             3.38.0-1
                            yelp-xsl             3.36.0-1             3.38.0-1

Testers needed on arm-testing branch

We are in need of testers for our arm-testing and arm-unstable branches.
So if you are adventurous and want newer software quicker, we would love for you to help us test out the new packages in arm-testing branch.

All you have to do to switch to this branch is:

  • Run this command to switch branch: sudo pacman-mirrors -aS testing && sudo pacman -Syyu. This will generate a new mirrorlist for you, sync your databases with the new mirror and update your system using the arm-testing branch.

We would then love for you to give feedback in our update posts in #arm:testing-updates. That way we can better find and fix bugs, before they hit arm-stable branch. Thank you!


  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Known Issues and Solutions

This is a wiki post, please edit it when you find a solution to an issue you encountered

DP Alt Mode no longer works on Pinebook Pro
This is a known issue, the hacky patch we had to enable this has broken in recent kernels.
@tsys is looking into it.
As a workaround you can install linux-pinebookpro again.

Old Issues

Plasma Mobile Keyboard
The plasma mobile onscreen keyboard does not work with QT 5.15.0.
This is fixed by updating to kwin 5.19.3-1.1.

PinePhone uboot
This update to the PinePhone Uboot package (2020.04-2), changed how the DTS is loaded from the kernel, since the Kernel DTS for the Pinephone also changed. When doing this update on the PinePhone images from Alpha5 and back, please make this change to the /boot/extlinux/extlinux.conf before rebooting:

  • sun50i-a64-pinephone.dtb to sun50i-a64-pinephone-1.2.dtb
  • root=LABEL=ROOT to root=LABEL=ROOT_MNJRO

Manual interventions:
The nss and zn_poly packages prior to version 3.51.1-1 and version 0.9.2-2 respectively, were missing a soname link each. This has been fixed in 3.51.1-1 and 0.9.2-2 of these packages, so the upgrade will need to overwrite the untracked files created by ldconfig. If you get any of these errors

nss: /usr/lib/p11-kit-trust.so exists in filesystem
zn_poly: /usr/lib/libzn_poly-0.9.so  exists in filesystem

when updating, use

pacman -Syu --overwrite /usr/lib/p11-kit-trust.so --overwrite /usr/lib/libzn_poly-0.9.so

to perform the upgrade.

Device stopped booting after Uboot update
The uboot update included a change to the extlinux.conf file. This change will be incompatible with the old 1 partition layout of some devices.
So if you are updating installs made with images 20.02.1 or older, you need to apply this fix before rebooting!
To fix this please edit your /boot/extlinux/extlinux.conf file and add 2 periods in front of each first slash, like so:

KERNEL ../Image
FDT ../dtbs/ #etc.
APPEND initrd=../initramfs-linux.img #etc.

Save the file and reboot.

Hi,

Odroid c4 up to date, it works.

Enjoy !

The issue I mentioned in the last update is partially solved. Perhaps it helps someone to know that Firefox no longer freezes or locks the system, but Caidao/ungoogled-chromium still becomes a garbled screen moments into use.

Are you using any form of hardware acceleration options in the browser?

1 Like